### Property

# GSSDP Client:address-family

since: 1.2.0

#### Declaration

    property address-family: Gio.SocketFamily [ read, write, construct-only ]

#### Description [src]

The IP protocol address family this client works on. When specified during construction without giving a concrete address, it will be used to determine the proper address.

If not specified, will contain the currrent address family after the call to Glib.Initable.init. Use `G_SOCKET_FAMILY_INVALID` to specifiy using the default socket family (legacy IP).

Type:`GSocketFamily`

Available since: 1.2.0

Default value | G_SOCKET_FAMILY_INVALID
Getter method | `gssdp_client_get_family`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | yes